Subject: bug#16348: 24.3.50; Increasing internal-border-width cuts menubar and toolbar on non-toolkit builds

From: Jan Djärv <[email-masked]>
Date: Sat, 11 Jan 2014 12:11:57 +0100

Hello.

11 jan 2014 kl. 11:24 skrev martin rudalics <[email-masked]>:

>> 1. Build emacs with --without-x-toolkit
>> 2. $ emacs -Q &
>> 3. (set-frame-parameter nil 'internal-border-width 10) C-j
>> Then menubar and toolbar look as if they were cut by the internal
>> border (see the attached screenshot).
> 
> Should work now.  Please try again.
> 
>> (We can also see several other garbages in the internal border area,
>> but they had been there even on Emacs 24.3.)
> 
> These should have been removed too.
> 
>> This does not happen with Lucid or GTK+ builds.
> 
> I think there was some garbage with the Lucid build as well.  The
> Windows build certainly showed garbage too.  I tried to fix these
> also.  Maybe something should be done for NS but I don't build it.

NS did not have the problem to begin with.

	Jan D.